import { world } from "@minecraft/server";
import Random from "../_Utilities/Random";
export default class Entity_Manager {
    static get_Entities(dimension_ID, options) {
        return world.getDimension(dimension_ID).getEntities(options);
    }
    static spawn(dimension, entity_ID, location, rotation) {
        const entity = world.getDimension(dimension).spawnEntity(entity_ID, location);
        if (rotation == undefined)
            rotation = { x: 0, y: Random.integer(0, 90) };
        entity.setRotation(rotation);
        return entity;
    }
    static hit(attacker, entity) { }
}
